$(document).ready(function() {
	$('#modalCliente').on('show.bs.modal', function (event) {
		$('.modal-wait').hide();
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#idCliente').val(0);
		modal.find('#nombre').val('');
		modal.find('#fono').val('');
		modal.find('#email').val('');
		modal.find('#facebook').val('');
		modal.find('#instagram').val('');
		modal.find('#info').val('');

		if (button.data('id') == 0) {
			$('#eliminarCliente').hide();
			modal.find('#editarCliente').html('Crear');
			$('.modal-wait').show();
		}
		else {
			$('#eliminarCliente').show();

			var parametros = {
				id: button.data('id')
			};

			$.ajax({
				data: parametros,
				url:  '/clientes/get',
				type: 'post',
				beforeSend: function () {
				},
				success:  function (response) {
					cliente = JSON.parse(response);
					modal.find('#idCliente').val(cliente.id);
					modal.find('#psId').val(cliente.ps_id);
					modal.find('#nombre').val(cliente.nombre);
					modal.find('#fono').val(cliente.fono);
					modal.find('#email').val(cliente.email);
					modal.find('#facebook').val(cliente.facebook);
					modal.find('#instagram').val(cliente.instagram);
					modal.find('#info').val(cliente.info);
					modal.find('#editarCliente').html('Editar');
					$('.modal-wait').show();
				}
			});
		}
	});

	$( "#formCliente").submit(function( event ) {
		event.preventDefault();
		$('#editarCliente').click();
	});

	$("#editarCliente" ).click(function() {
		var parametros = $('#formCliente').serialize();
		$.ajax({
			data: parametros,
			url:  '/clientes/save',
			type: 'post',
			beforeSend: function () {
			},
			success:  function (response) {
				var idCliente = JSON.parse(response);
				var id = $('#idCliente').val();

				if (id == 0) {
					location.reload();
				}
				else {
					var cliente = $('#cliente' + id);

					var nombre_cliente = $('#nombre').val();
					nombre_cliente = '<a target="_blank" href="/clientes/view/' + id + '">' + nombre_cliente + '</a>';
					cliente.find('.nombre').html(nombre_cliente);

					cliente.find('.phone').html($('#fono').val());
					cliente.find('.facebook').html($('#facebook').val());
					$('#modalCliente').modal('hide');
				}
			}
		});
	});

	$( "#eliminarCliente" ).click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idCliente').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/clientes/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#cliente' + id).remove();
					$('#modalCliente').modal('hide');
				}
			});
		}
	});

	$('#modalBuscaPuntos').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);
		var id = button.data('id');

		var parametros = {
			id: id
		};

		$.ajax({
			data: parametros,
			url:  '/clientes/search_loyalty',
			type: 'post',
			beforeSend: function () {
			},
			success:  function (res) {
				if (res.ps_id > 0) {
					modal.find('.resultado-carga').html('El cliente fue asociado al id de PS: ' + res.ps_id);
					modal.find('.puntos-carga').html('Se cargaron ' + res.puntos + ' puntos');
				}
				else {
					modal.find('.resultado-carga').html('No se encontró un cliente con el mail indicado');
				}
				$('.modal-wait').show();
			}
		});

	});
});